Bug 187095 - Import WPT infrastructure tests
Summary: Import WPT infrastructure tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: 187039 186045
  Show dependency treegraph
 
Reported: 2018-06-27 06:52 PDT by Frédéric Wang (:fredw)
Modified: 2018-07-06 16:11 PDT (History)
4 users (show)

See Also:


Attachments
Patch (202.22 KB, patch)
2018-06-27 06:53 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch for landing (202.35 KB, patch)
2018-07-03 07:35 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2018-06-27 06:52:37 PDT
Import WPT infrastructure tests
Comment 1 Frédéric Wang (:fredw) 2018-06-27 06:53:57 PDT
Created attachment 343707 [details]
Patch
Comment 2 Frédéric Wang (:fredw) 2018-06-27 06:59:14 PDT
@Youenn: What do you think of this? It seems the main issues in our infrastructure are about testdriver, reftest-wait, expectation manifest, font assumptions (ahem.html and min-font-size.html) and server properties (infrastructure/server/).
Comment 3 youenn fablet 2018-06-27 07:53:14 PDT
(In reply to Frédéric Wang (:fredw) from comment #2)
> @Youenn: What do you think of this? It seems the main issues in our
> infrastructure are about testdriver, reftest-wait, expectation manifest,
> font assumptions (ahem.html and min-font-size.html) and server properties
> (infrastructure/server/).

So these tests should help us track the things we should add to our infra to support running WPT tests?
That seems very useful.
Comment 4 Frédéric Wang (:fredw) 2018-06-27 12:42:26 PDT
Comment on attachment 343707 [details]
Patch

@Youenn: OK, I think we can take that patch then. Probably I should open follow-up bugs for the issues with fonts and server too.
Comment 5 Frédéric Wang (:fredw) 2018-07-03 05:58:05 PDT
@Youenn: review ping?
Comment 6 Frédéric Wang (:fredw) 2018-07-03 07:35:22 PDT
Created attachment 344187 [details]
Patch for landing
Comment 7 WebKit Commit Bot 2018-07-03 08:21:14 PDT
Comment on attachment 344187 [details]
Patch for landing

Clearing flags on attachment: 344187

Committed r233463: <https://trac.webkit.org/changeset/233463>
Comment 8 WebKit Commit Bot 2018-07-03 08:21:16 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2018-07-03 08:22:24 PDT
<rdar://problem/41775814>